package org.dromara.settlement.api.domain;

/**
 * 阿里云上传凭证信息
 * @author 张涛
 * @date 2017年12月5日
 */
public class AliyunUploadInfo extends AliyunBaseInfo{
	public AliyunUploadInfo(){}



	public AliyunUploadInfo(String accessKey, String secretKey, String uploadAddress,
                            String uploadAuth) {
		// TODO 自动生成的构造函数存根
		super(accessKey, secretKey);
		this.uploadAddress = uploadAddress;
		this.uploadAuth = uploadAuth;
	}



	public AliyunUploadInfo(String accessKey, String secretKey, String videoId, String uploadAddress,
                            String uploadAuth) {
		super(accessKey, secretKey);
		this.videoId = videoId;
		this.uploadAddress = uploadAddress;
		this.uploadAuth = uploadAuth;
	}
	private String videoId;
	private String uploadAddress;
	private String uploadAuth;

	/**
	 * 视频ID
	 * @author 张涛
	 * @date 2017年12月5日
	 * @return
	 */
	public String getVideoId() {
		return videoId;
	}
	public void setVideoId(String videoId) {
		this.videoId = videoId;
	}

	/**
	 * 上传地址
	 * @author 张涛
	 * @date 2017年12月5日
	 * @return
	 */
	public String getUploadAddress() {
		return uploadAddress;
	}
	public void setUploadAddress(String uploadAddress) {
		this.uploadAddress = uploadAddress;
	}

	/**
	 * 上传凭证
	 * @author 张涛
	 * @date 2017年12月5日
	 * @return
	 */
	public String getUploadAuth() {
		return uploadAuth;
	}
	public void setUploadAuth(String uploadAuth) {
		this.uploadAuth = uploadAuth;
	}


}
